## graphviz 1.7.16

=== contrib/Makefile ===
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/graphviz
pkglibdir = $(libdir)/graphviz
pkgincludedir = $(includedir)/graphviz

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = 
build_triplet = i686-pc-linux-gnu
host_alias = 
host_triplet = i686-pc-linux-gnu
target_alias = 
target_triplet = i686-pc-linux-gnu
AS = @AS@
AWK = gawk
BUILD_DIR = /home/ellson/build/graphviz
CC = gcc
CXX = g++
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
EXTRA_INCLUDES = 
EXTRA_LIBS = 
FT_INCLUDES = -I/usr/include/freetype2
FT_LIBS =  -lfreetype
ICONV_INCLUDES = 
ICONV_LIBS = 
JPEG_INCLUDES = 
JPEG_LIBS =  -ljpeg
KSH = ksh
LEX = flex
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAKEINFO = makeinfo
NO_CNT_IN_FILESTRUCT = -DNO_CNT_IN_FILESTRUCT
NO_ERRNO_DECL = -DNO_ERRNO_DECL
NO_OPTOPT_DECL = 
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = graphviz
PNG_INCLUDES = 
PNG_LIBS =  -lpng
RANLIB = ranlib
SED = sed
SOCKET_LIBS = 
SORT = sort
STRIP = strip
STRTOLL = 
STRTOULL = 
TCLINT_INCLUDES = -I/home/ellson/build/tcl8.3.4/generic
TCLSH = /usr/local/bin/tclsh8.3
TCLSH_EXEC_PREFIX = /usr/local
TCL_BUILD_LIB_SPEC = -L/home/ellson/build/tcl8.3.4/unix -ltcl8.3${TCL_DBGX}
TCL_BUILD_STUB_LIB_PATH = /home/ellson/build/tcl8.3.4/unix/libtclstub8.3${TCL_DBGX}.a
TCL_BUILD_STUB_LIB_SPEC = -L/home/ellson/build/tcl8.3.4/unix -ltclstub8.3${TCL_DBGX}
TCL_CC = cc -pipe
TCL_CFLAGS =  -DUSE_TCL_STUBS
TCL_CFLAGS_DEBUG = -g
TCL_CFLAGS_OPTIMIZE = -O -D__NO_STRING_INLINES -D__NO_MATH_INLINES
TCL_COMPAT_OBJS = 
TCL_CXX = 
TCL_CXXFLAGS = 
TCL_DBGX = 
TCL_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DNEED_MATHERR=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_SYS_IOCTL_H=1 
TCL_DL_LIBS = -ldl
TCL_EXEC_PREFIX = /usr/local
TCL_EXPORT_FILE_SUFFIX = 
TCL_EXTRA_CFLAGS = 
TCL_LD_FLAGS = -rdynamic
TCL_LD_SEARCH_FLAGS = -Wl,-rpath,${LIB_RUNTIME_DIR}
TCL_LIBS = -ldl  -lieee -lm
TCL_LIB_FILE = libtcl8.3${TCL_DBGX}.so
TCL_LIB_FLAG = -ltcl8.3${TCL_DBGX}
TCL_LIB_SPEC = -L/usr/local/lib -ltcl8.3${TCL_DBGX}
TCL_LIB_VERSIONS_OK = ok
TCL_MAJOR_VERSION = 8
TCL_MINOR_VERSION = 3
TCL_NEEDS_EXP_FILE = 0
TCL_PACKAGE_PATH = /usr/local/lib
TCL_PATCH_LEVEL = .4
TCL_PKGINDEX = gdtclft/pkgIndex.tcl tcldot/pkgIndex.tcl tcldgr/pkgIndex.tcl tcldgl/pkgIndex.tcl tclpathplan/pkgIndex.tcl
TCL_PREFIX = /usr/local
TCL_RANLIB = ranlib
TCL_SHARED_BUILD = 1
TCL_SHARED_LIB_SUFFIX = ${VERSION}${DBGX}.so
TCL_SHLIB_CFLAGS = -fPIC
TCL_SHLIB_CXXFLAGS = 
TCL_SHLIB_LD = cc -pipe -shared
TCL_SHLIB_LD_LIBS = ${LIBS}
TCL_SHLIB_SUFFIX = .so
TCL_SRC_DIR = /home/ellson/build/tcl8.3.4
TCL_STUB_LIB_FILE = libtclstub8.3${TCL_DBGX}.a
TCL_STUB_LIB_FLAG = -ltclstub8.3${TCL_DBGX}
TCL_STUB_LIB_PATH = /usr/local/lib/libtclstub8.3${TCL_DBGX}.a
TCL_STUB_LIB_SPEC = -L/usr/local/lib -ltclstub8.3${TCL_DBGX}
TCL_SUBDIRS = tclstubs tclhandle gdtclft tcldot tcldgr tcldgl tclpathplan
TCL_SUPPORTS_STUBS = 1
TCL_UNSHARED_LIB_SUFFIX = ${VERSION}${DBGX}.a
TCL_VERSION = 8.3
TKINT_INCLUDES = -I/home/ellson/build/tk8.3.4/generic
TK_BUILD_LIB_SPEC = -L/home/ellson/build/tk8.3.4/unix -ltk8.3
TK_BUILD_STUB_LIB_PATH = /home/ellson/build/tk8.3.4/unix/libtkstub8.3.a
TK_BUILD_STUB_LIB_SPEC = -L/home/ellson/build/tk8.3.4/unix -ltkstub8.3
TK_CFLAGS =  -DUSE_TK_STUBS
TK_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_PW_GECOS=1 
TK_EXEC_PREFIX = /usr/local
TK_LIBS = -L/usr/X11R6/lib -lX11 -ldl  -lieee -lm
TK_LIB_FILE = libtk8.3.so
TK_LIB_SPEC = -L/usr/local/lib -ltk8.3
TK_MAJOR_VERSION = 8
TK_MINOR_VERSION = 3
TK_PATCH_LEVEL = .4
TK_PKGINDEX = tkspline/pkgIndex.tcl
TK_PREFIX = /usr/local
TK_SHARED_BUILD = 1
TK_SRC_DIR = /home/ellson/build/tk8.3.4
TK_STUB_LIB_FILE = libtkstub8.3.a
TK_STUB_LIB_FLAG = -ltkstub8.3
TK_STUB_LIB_PATH = /usr/local/lib/libtkstub8.3.a
TK_STUB_LIB_SPEC = -L/usr/local/lib -ltkstub8.3
TK_SUBDIRS = tkstubs tkspline
TK_SUPPORTS_STUBS = 
TK_VERSION = 8.3
TK_XINCLUDES = -I/usr/X11R6/include
TK_XLIBSW = -L/usr/X11R6/lib -lX11
TOP_DIR = /home/ellson/build/graphviz
VERSION = 1.7.16
XAW_INCLUDES = 
XAW_LIBS =  -lXaw
XPM_INCLUDES = 
XPM_LIBS = 
X_SUBDIRS = lefty
YACC = bison -y
Z_INCLUDES = 
Z_LIBS =  -lz

AUTOMAKE_OPTIONS = 1.4

EXTRA_DIST = \
	INDEX \
	dotmcl.pl \
	gprof2dot.awk \
	lefty-grace/README \
	lefty-grace/dotty.lefty \
	lefty-grace/dotty_draw.lefty \
	lefty-grace/dotty_edit.lefty \
	lefty-grace/dotty_ui.lefty \
	dirgraph/README \
	dirgraph/apache.dot \
	dirgraph/bsdarch.dot \
	dirgraph/bsdkernel.dot \
	dirgraph/dirgraph.pl \
	dirgraph/linux.dot \
	dirgraph/named.dot \

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../gvconfig.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = contrib

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu contrib/Makefile
	$(mkinstalldirs) $(distdir)/dirgraph $(distdir)/lefty-grace
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
