## graphviz 2.2.1

=== dot.demo/Makefile ===
COMPILE=libtool --tag=CC --mode=compile ${CC} -c
LINK=libtool --tag=CC --mode=link ${CC}

CFLAGS=`dotneato-config --cflags`
LDFLAGS=`dotneato-config --libtool`

all: simple dot demo

simple: simple.lo
	${LINK} ${LDFLAGS} -o $@ simple.lo

simple.lo: simple.c
	${COMPILE} ${CFLAGS} -o $@ simple.c

dot: dot.lo
	${LINK} ${LDFLAGS} -o $@ dot.lo

dot.lo: dot.c
	${COMPILE} ${CFLAGS} -o $@ dot.c

demo: demo.lo
	${LINK} ${LDFLAGS} -o $@ demo.lo

demo.lo: demo.c
	${COMPILE} ${CFLAGS} -o $@ demo.c

clean:
	rm -rf .libs simple dot demo *.o *.lo
