## graphviz 2.20.3-1

=== debian/changelog ===
graphviz (2.20.3-1) stable; urgency=low

  New build process for Extras repository.

 -- Darren Enns <dmenns1@gmail.com>  Thu, 26 Feb 2009 14:43:23 +0000
