=== debian/control ===
Source: graphviz
Section: user/other
Priority: extra
Maintainer: Darren Enns <dmenns1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: graphviz
Architecture: armel
Depends: python2.5
Description: Port of 'Graphviz - Graph Visualization Software' (http://www.graphviz.org/)
