=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/graphviz" install
	mkdir -p "$(CURDIR)/debian/graphviz"

#	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/config" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/config"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_core.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_core.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_dot_layout.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_dot_layout.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gd.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gd.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gdk_pixbuf.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_gtk.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_gtk.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_neato_layout.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_neato_layout.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_pango.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_pango.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so.5" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so.5"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/"
	cp -a "graphvizsrc/usr/lib/graphviz/libgvplugin_xlib.so.5.0.0" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/libgvplugin_xlib.so.5.0.0"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/_gv.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/_gv.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/gv.py" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/gv.py"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/libgv_python.la" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/libgv_python.la"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/"
	cp -a "graphvizsrc/usr/lib/graphviz/python/libgv_python.so" "$(CURDIR)/debian/graphviz/usr/lib/graphviz/python/libgv_python.so"
	mkdir -p "$(CURDIR)/debian/graphviz/usr/bin/"
